[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [rhelv5-list] yum broke



On 7/13/07, Kenton Brede <kbrede gmail com> wrote:
I've got a RHEL 5 box installed a couple weeks ago.  Today I tried to
run "yum update" and got a "Could not determine what version of Red
Hat Linux you are running." error.    I ran "rpm --rebuilddb" as the
error message suggested which did nothing to fix my problem.  I then
deleted the RHN entry for the server and tried to re-register.  After
the register process took my user name and password I got the
following error.

-------------------------------------------------------------------------------------------
RPM error.  The message was:
Could not determine what version of Red Hat Linux you are running.
If you get this error, try running

                rpm --rebuilddb
-------------------------------------------------------------------------------------------

How can I recover from this and what is going on?

Kent,

Did you try deleting the old rpm db files before running rpm
--rebuilddb? If not you might try moving or deleting
/var/lib/rpm/__db.00? and then running rpm --rebuilddb. Sometimes that
helps.

John


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]